Summary: The Advanced Linux Sound Architecture (ALSA) library.
Name: alsa-lib
Version: 1.0.9rc4
Release: 2
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}%{?prever}.tar.bz2
Source1: ainit-0.4.tar.gz
Source2: alsacard.c
Patch0: alsa-lib-ainit-2.patch
URL: http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: doxygen
Prereq: /sbin/ldconfig

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA runtime libraries to simplify application
programming and provide higher level functionality as well as support for
the older OSS API, providing binary compatibility for most OSS programs.

%package devel
Summary: Static libraries and header files from the ALSA library.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig
%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA development libraries for developing
against the ALSA libraries and interfaces.

%prep
%setup -q -n %{name}-%{version}%{?prever} -a 1
%patch0 -p1 -b .ainit

%build
%configure \
    CFLAGS="$RPM_OPT_FLAGS"\
    --enable-static=yes \
    --datadir=/etc
make %{?_smp_mflags}
make doc

# Compile ainit
cd ainit
./compile
cd ..

# Compile alsacard
%{__cc} $RPM_OPT_FLAGS -o alsacard %{SOURCE2} -lasound

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}/%{_lib}

mv %{buildroot}%{_libdir}/libasound.so.* %{buildroot}/%{_lib}
ln -snf ../../%{_lib}/libasound.so.2 %{buildroot}%{_libdir}/libasound.so

mv %{buildroot}/etc/aclocal %{buildroot}%{_datadir}

# install ainit binaries
install -m 755 ainit/ainit %{buildroot}%{_bindir}

# alsa_card binary
install -m 755 alsacard   %{buildroot}%{_bindir}

# install ainit config files
install -m 644 ainit/config/ainit.conf %{buildroot}%{_sysconfdir}/alsa/ainit.conf
install -m 644 ainit/config/dmix.template %{buildroot}%{_sysconfdir}/alsa/pcm/dmix.template
install -m 644 ainit/config/dsnoop.template %{buildroot}%{_sysconfdir}/alsa/pcm/dsnoop.template

# install ainit man pages
mkdir -p %{buildroot}%{_mandir}/man8
install -m 644 ainit/doc/ainit.8 %{buildroot}%{_mandir}/man8/ainit.8

mkdir -p %{buildroot}%{_mandir}/man5
install -m 644 ainit/doc/ainit.conf.5 %{buildroot}%{_mandir}/man5/ainit.conf.5
install -m 644 ainit/doc/ainit.template.5 %{buildroot}%{_mandir}/man5/ainit.template.5

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%triggerpostun -- alsa-lib < 1.0.6-2
ln -snf ../../etc/alsa %{_datadir}/alsa

%files
%defattr(-, root, root)
%doc COPYING ChangeLog TODO doc/asoundrc.txt
%{_bindir}/alsalisp
%{_bindir}/aserver
/%{_lib}/libasound.so.*
%{_sysconfdir}/alsa
%config %{_sysconfdir}/alsa/alsa.conf
%{_bindir}/ainit
%{_bindir}/alsacard
%{_mandir}/man?/*

%files devel
%defattr(-, root, root)
%doc doc/doxygen
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/libasound.so
%{_libdir}/libasound.a
%exclude %{_libdir}/libasound.la
%{_libdir}/pkgconfig/alsa.pc
%{_datadir}/aclocal/alsa.m4

%changelog
* Fri May 27 2005 Martin Stransky <stransky@redhat.com> 1.0.9rc4-2
- alsacard utility for s-c-s

* Tue May 24 2005 Bill Nottingham <notting@redhat.com> 1.0.9rc4-1
- update to 1.0.9rc4 (#157180, #158547)

* Wed May 18 2005 Martin Stransky <stransky@redhat.com> 1.0.9rc2-5
- fix for #130593
- new ainit (dmix/dsnoop is default only for cards which really need it)
- fix dsnoop
- add fix for mixer (from https://bugs.gentoo.org/attachment.cgi?id=58918)

* Wed May 04 2005 Than Ngo <than@redhat.com> 1.0.9rc2-4
- apply patch to fix artsd daemon crash #156592

* Tue May 3  2005 Martin Stransky <stransky@redhat.com> 1.0.9rc2-3
- fixed ainit (#156278, #156505)

* Thu Apr 28 2005 David Woodhouse <dwmw2@redhat.com> 1.0.9rc2-2
- Fix bogus use of fgetc() in ainit. (#156278)

* Fri Apr 22 2005 Martin Stransky <stransky@redhat.com> 1.0.9rc2-1
- updated to 1.0.9rc2
- add ainit tool 
- dmix is now default pcm device

* Mon Mar  7 2005 Martin Stransky <stransky@redhat.com> 1.0.8-4.devel
- gcc4 patch

* Wed Feb 15 2005 Martin Stransky <stransky@redhat.com> 1.0.8-3.devel
- add $RPM_OPT_FLAGS to CFLAGS

* Fri Feb 11 2005 Martin Stransky <stransky@redhat.com> 1.0.8-2.devel
- add alpha patch (#147388, thx to Sergey Tikhonov)
- fix alsa-mixer on ICH6 system (#146607)

* Wed Jan 26 2005 Martin Stransky <stransky@redhat.com> 1.0.8-1.devel
- update to 1.0.8
- temporarily removed alsa-lib-1.0.7-asym-config.patch

* Mon Jan 10 2005 Martin Stransky <stransky@redhat.com> 1.0.7-3.devel
- fix #144518 - stack protection control

* Sat Jan 08 2005 Colin Walters <walters@redhat.com> 1.0.7-2
- New patch alsa-lib-1.0.7-asym-config.patch, sets up asym
  in the default config file and makes it easy to make it
  the default via an environment variable.  Also increases the
  default dmix buffer variables.
- Mark /etc/alsa/alsa.conf as a config file, and use sysconfdir
  variable

* Thu Jan 06 2005 Colin Walters <walters@redhat.com> 1.0.7-1
- New upstream version

* Tue Nov 30 2004 Bill Nottingham <notting@redhat.com> 1.0.6-6
- fix bad assertion that trips up gstreamer (fixes GNOME bug #159647)
- undef gets in case it's a macro (#141423)

* Thu Oct 14 2004 Bill Nottingham <notting@redhat.com> 1.0.6-3
- move libraries & data to root fs, needed at boot time

* Mon Aug 30 2004 Bill Nottingham <notting@redhat.com> 1.0.6-1
- update to 1.0.6

* Fri Jul  2 2004 Bill Nottingham <notting@redhat.com> 1.0.5-1
- update to 1.0.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 17 2004 Colin Walters <walters@redhat.com> 1.0.4-1
- New upstream version

* Mon May 03 2004 Colin Walters <walters@redhat.com> 1.0.3a-2
- Add patch to avoid assert()ing on errors

* Thu Mar 11 2004 Bill Nottingham <notting@redhat.com> 1.0.3a-1
- update to 1.0.3a

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 28 2004 Bill Nottingham <notting@redhat.com> 1.0.2-1
- update to 1.0.2

* Thu Dec 11 2003 Bill Nottingham <notting@redhat.com> 1.0.0rc2-1
- update to 1.0.0rc2

* Mon Dec  1 2003 Bill Nottingham <notting@redhat.com> 0.9.8-3
- fix various specfile issues, including License: tag (#111153)

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 0.9.8-2
- fixed dependant libraries check on x86_64

* Mon Nov  4 2003 Bill Nottingham <notting@redhat.com> - 0.9.8-1
- initial build, modify spec file from Matthias Saou
